Object Storage
List replications
get
/object-storage/replicationsSee the replications of your organization: the ones that copy your buckets to another bucket (outgoing) and the ones other organizations send into your buckets (incoming), with their status, health and initial copy progress.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de consulta
direction?string
outgoing, incoming or all
Por defecto
"all"Valores"outgoing""incoming""all"bucket_uuid?string | null
Only the replications of this bucket (as source or destination)
Rango
length ≤ 36Respuestas
Successful Response
application/json
array<ObjectStorageReplicationOut>
uuid*string
status*string
pause_reason?string | null
direction*string
Valores
"outgoing""incoming"source*ObjectStorageReplicationSourceOut
Propiedades (5)
bucket_uuid?string | null
bucket_name?string | null
project_id?integer | null
organization_name?string | null
same_organization*boolean
destination*ObjectStorageReplicationCubepathDestOut | ObjectStorageReplicationExternalDestOut
Uno de
ObjectStorageReplicationCubepathDestOut
Propiedades (6)
type*string
Valores
"cubepath"bucket_uuid?string | null
bucket_name?string | null
project_id?integer | null
organization_name?string | null
same_organization*boolean
ObjectStorageReplicationExternalDestOut
Propiedades (7)
type*string
Valores
"external"provider?string | null
endpoint?string | null
region?string | null
bucket?string | null
path_style*string
access_key_id?string | null
Masked: **** and the last 4 characters
rules*ObjectStorageReplicationRulesOut
Propiedades (6)
enabled*boolean
prefix?string | null
tags?array<ObjectStorageLifecycleTagOut>
Propiedades (2)
key*string
value*string
delete_marker_replication*boolean
delete_replication*boolean
existing_objects*boolean
health*string
health_reason?string | null
health_checked_at?string | null
backfill*ObjectStorageReplicationBackfillOut
Propiedades (6)
status*string
started_at?string | null
finished_at?string | null
objects*integer
bytes*integer
failed_objects*integer
error_message?string | null
created_at?string | null
active_at?string | null